Subject: Re: linux-next: Tree for May 26 (drivers/net/caif)

From: Sjur Brændeland <[email-masked]>
Date: Thu, 26 May 2011 23:15:34 +0200

Hi Randy,

[Randy]
> (not new)
>
> drivers/net/caif/caif_serial.c:194: warning: 'return' with no value, in function returning non-void
> drivers/net/caif/caif_serial.c:202: warning: 'return' with no value, in function returning non-void
>
>
> I'm curious:  how do warnings like this get overlooked?
> too much noise in the build messages?  or it wasn't overlooked, just ignored?

The patch introducing this problem is "tty: make receive_buf()
return the amout of bytes received" by Felipe Balbi <[email-masked]>.
It seems that this patch has been posted to linux-serial and not to
the netdev list or the gits net-next-2.6 or net-2.6 that I follow.
It's probably no excuse, but this problem is news to me.

Should I post a patch on linux-next anyway for this issue?

Regards,
Sjur